Loading...
Searching...
No Matches
stun_tag.h File Reference

Tags for STUN. More...

`#include <sofia-sip/su_tag.h>`
`#include <sofia-sip/su_tag_io.h>`
Include dependency graph for stun_tag.h:

Go to the source code of this file.

## Macros

#define | STUNTAG_ANY()
| Filter tag matching any STUNTAG_*().
#define | STUNTAG_DOMAIN(x)
| The domain to use in DNS-SRV based STUN server discovery.
#define | STUNTAG_SERVER(x)
| Fully qualified host name, or dotted IP address of the STUN server address.
#define | STUNTAG_REQUIRE_INTEGRITY(x)
| Whether to require support for shared-secret based packet authentication and integrity checks (see sect 9.2 of RFC3489).
#define | STUNTAG_INTEGRITY(x)
| XXX: should this tag be deprecated in favor of just supporting STUNTAG_REQURIE_INTEGRITY() instead...?
#define | STUNTAG_SOCKET(x)
| Bind socket for STUN.
#define | STUNTAG_REGISTER_EVENTS(x)
| Register socket events for eventloop owned by STUN.
#define | STUNTAG_ACTION(x)
| Command action for STUN request.
#define | STUNTAG_CHANGE_IP(x)
| Add CHANGE-REQUEST attribute with "change IP" flag to the request.
#define | STUNTAG_CHANGE_PORT(x)
| Add CHANGE-REQUEST attribute with "change port" flag to the request.
#define | STUNTAG_TIMEOUT(x)
| Timeout controls the launching of the STUN keepalive timer.

## Detailed Description

Tags for STUN.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com
  Martti Mela Martt.nosp@m.i.Me.nosp@m.la@no.nosp@m.kia..nosp@m.com
  Kai Vehmanen Kai.V.nosp@m.ehma.nosp@m.nen@n.nosp@m.okia.nosp@m..com

Date
  Created: Tue Oct 18 20:13:50 EEST 2005 ppessi

## Macro Definition Documentation

## STUNTAG_ACTION

#define STUNTAG_ACTION | ( |  | x | ) |

Command action for STUN request.

Used with
  stun_handle_bind()

Parameter type
  int (stun_action_t)

Values
  See types for stun_action_t in <sofia-sip/stun.h>

Corresponding tag taking reference parameter is STUNTAG_ACTION_REF()

## STUNTAG_CHANGE_IP

#define STUNTAG_CHANGE_IP | ( |  | x | ) |

Add CHANGE-REQUEST attribute with "change IP" flag to the request.

Used with
  stun_make_binding_req()

Parameter type
  bool

Corresponding tag taking reference parameter is STUNTAG_CHANGE_IP_REF()

## STUNTAG_CHANGE_PORT

#define STUNTAG_CHANGE_PORT | ( |  | x | ) |

Add CHANGE-REQUEST attribute with "change port" flag to the request.

Used with
  stun_make_binding_req()

Parameter type
  bool

Corresponding tag taking reference parameter is STUNTAG_CHANGE_PORT_REF()

## STUNTAG_DOMAIN

#define STUNTAG_DOMAIN | ( |  | x | ) |

The domain to use in DNS-SRV based STUN server discovery.

Note: this is commonly the domain part of a public SIP address (AOR). See sect 9.1 of RFC3489.

Used with
  nua_set_params()
  nua_get_params()
  nua_invite()
  nua_respond()

Parameter type
  char const *

## STUNTAG_REGISTER_EVENTS

#define STUNTAG_REGISTER_EVENTS | ( |  | x | ) |

Register socket events for eventloop owned by STUN.

Used with
  stun_bind()
  stun_get_lifetime()
  stun_get_nattype()
  stun_keepalive()

Parameter type
  bool

Values
  false (0) or true (nonzero)

Corresponding tag taking reference parameter is STUNTAG_REGISTER_EVENTS_REF()

## STUNTAG_REQUIRE_INTEGRITY

#define STUNTAG_REQUIRE_INTEGRITY | ( |  | x | ) |

Whether to require support for shared-secret based packet authentication and integrity checks (see sect 9.2 of RFC3489).

If false, integrity checks are performed only when server supports it.

Used with
  nua_create()

Parameter type
  int (boolean)

Values
  `!=0` enable `0` disable

Corresponding tag taking reference parameter is STUNTAG_INTEGRITY_REF()

## STUNTAG_SERVER

#define STUNTAG_SERVER | ( |  | x | ) |

Fully qualified host name, or dotted IP address of the STUN server address.

If defined, the DNS-SRV based discovery (

See also
  STUNTAG_DOMAIN()) will be skipped.

Used with
  nua_set_params()
  nua_get_params()
  nua_invite()
  nua_respond()

Parameter type
  char const *

Values
  NULL terminated character string containing a domain name, IPv4 address, or IPv6 address.

Corresponding tag taking reference parameter is STUNTAG_SERVER_REF()

## STUNTAG_SOCKET

#define STUNTAG_SOCKET | ( |  | x | ) |

Bind socket for STUN.

Used with
  stun_handle_bind()

Parameter type
  int (su_socket_t)

Values
  IPv4 (AF_INET) socket

Corresponding tag taking reference parameter is STUNTAG_SOCKET_REF()

## STUNTAG_TIMEOUT

#define STUNTAG_TIMEOUT | ( |  | x | ) |

Timeout controls the launching of the STUN keepalive timer.

Used with
  stun_keepalive()

Parameter type
  int

Corresponding tag taking reference parameter is STUNTAG_TIMEOUT_REF()

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.